unit myApp;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, TestThread, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    btnStart: TButton;
    btnStop: TButton;
    procedure btnStartClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
  private
    TestThread : TTestThread;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnStartClick(Sender: TObject);
begin
  TestThread := TTestThread.Create;
  btnStop.Enabled := true;
  btnStart.Enabled := false;
end;

procedure TForm1.btnStopClick(Sender: TObject);
begin
  TestThread.Free;
  btnStop.Enabled := false;
  btnStart.Enabled := true;
end;

end.
