unit mySvc;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.SvcMgr, Vcl.Dialogs, TestThread;

type
  TTChartTestSrv = class(TService)
    procedure ServiceStart(Sender: TService; var Started: Boolean);
    procedure ServiceStop(Sender: TService; var Stopped: Boolean);
  private
    TestThread : TTestThread;
  public
    function GetServiceController: TServiceController; override;
  end;

var
  TChartTestSrv: TTChartTestSrv;

implementation

{$R *.dfm}

procedure ServiceController(CtrlCode: DWord); stdcall;
begin
  TChartTestSrv.Controller(CtrlCode);
end;

function TTChartTestSrv.GetServiceController: TServiceController;
begin
  Result := ServiceController;
end;

procedure TTChartTestSrv.ServiceStart(Sender: TService; var Started: Boolean);
begin
  TestThread := TTestThread.Create;
end;

procedure TTChartTestSrv.ServiceStop(Sender: TService; var Stopped: Boolean);
begin
  TestThread.Free;
end;

end.
